﻿Public Class clsFileinfo
#Region " File Information "
    Public Sub GetFileInformation(ByVal File As String, ByVal FileName As Label, ByVal FileSize As Label, ByVal Creation As Label, ByVal Filemod As Label, ByVal FileAccess As Label, ByVal Directory As Label)

        Dim fileDetails As System.IO.FileInfo = New System.IO.FileInfo(File)
        FileName.Text = fileDetails.Name.ToString
        FileSize.Text = ConvertMegaBytes(fileDetails.Length, 2).ToString
        Creation.Text = fileDetails.CreationTime.ToLongTimeString
        Filemod.Text = fileDetails.LastWriteTime.ToLongTimeString
        FileAccess.Text = fileDetails.LastAccessTime.ToLongTimeString
        Directory.Text = fileDetails.DirectoryName.ToString

    End Sub
    Public Function GetFileSize(ByVal File As String) As String
        Dim fileDetails As System.IO.FileInfo = New System.IO.FileInfo(File)
        Return ConvertMegaBytes(fileDetails.Length, 2).ToString()

    End Function
    Public Function ConvertBytes(ByVal Bytes As Long, Optional ByVal NumDigitsAfterDecmal As Long = 0) As String
        ConvertBytes = FormatNumber(Bytes, NumDigitsAfterDecmal) & "bytes"
    End Function
    Public Function ConvertKiloBytes(ByVal Bytes As Long, Optional ByVal NumDigitsAfterDecmal As Long = 0) As String
        ConvertKiloBytes = FormatNumber(Bytes / BYTEVALUES.KiloByte, NumDigitsAfterDecmal) & " kb"
    End Function
    Public Function ConvertMegaBytes(ByVal Bytes As Long, Optional ByVal NumDigitsAfterDecmal As Long = 0) As String
        ConvertMegaBytes = FormatNumber(Bytes / BYTEVALUES.MegaByte, NumDigitsAfterDecmal) & " mb"
    End Function
    Public Function ConvertGigaBytes(ByVal Bytes As Long, Optional ByVal NumDigitsAfterDecmal As Long = 0) As String
        ConvertGigaBytes = FormatNumber(Bytes / BYTEVALUES.GigaByte, NumDigitsAfterDecmal) & " gb"
    End Function
    Private Structure SHFILEOPSTRUCT
        Dim hwnd As Integer
        Dim wFunc As Integer
        Dim pFrom As String
        Dim pTo As String
        Dim fFlags As Short
        Dim fAborted As Boolean
        Dim hNameMaps As Integer
        Dim sProgress As String
    End Structure
    Public Enum BYTEVALUES
        KiloByte = 1024
        MegaByte = 1048576
        GigaByte = 107374182
    End Enum
    Private Declare Function SHFileOperation Lib "shell32.dll" Alias "SHFileOperationA" (ByRef lpFileOp As SHFILEOPSTRUCT) As Integer
    Private Const FO_COPY = &H2
    Private Const FO_DELETE = &H3
    Private Const FO_MOVE = &H1
    Private Const FO_RENAME = &H4
    Public Function StripTerminator(ByVal mString As String) As String
        Dim p As Integer = mString.IndexOf(Chr(0))
        If p > -1 Then
            Return mString.Remove(p, mString.Length - p)
        Else
            Return mString
        End If
    End Function
    <System.Runtime.InteropServices.StructLayout(System.Runtime.InteropServices.LayoutKind.Sequential)> Private Class SHELLEXECUTEINFO
        Public cbSize As Integer
        Public fMask As Integer
        Public hwnd As Integer
        <System.Runtime.InteropServices.MarshalAs(System.Runtime.InteropServices.UnmanagedType.LPWStr), Microsoft.VisualBasic.VBFixedString(255)> Public lpVerb As String = ""
        <System.Runtime.InteropServices.MarshalAs(System.Runtime.InteropServices.UnmanagedType.LPWStr), Microsoft.VisualBasic.VBFixedString(255)> Public lpFile As String = ""
        <System.Runtime.InteropServices.MarshalAs(System.Runtime.InteropServices.UnmanagedType.LPWStr), Microsoft.VisualBasic.VBFixedString(255)> Public lpParameters As String = ""
        <System.Runtime.InteropServices.MarshalAs(System.Runtime.InteropServices.UnmanagedType.LPWStr), Microsoft.VisualBasic.VBFixedString(255)> Public lpDirectory As String = ""
        Public nShow As Integer
        Public hInstApp As Integer
        Public lpIDList As Integer
        Public lpClass As String
        Public hkeyClass As Integer
        Public dwHotKey As Integer
        Public hIcon As Integer
        Public hProcess As Integer
    End Class
#End Region
End Class
